Subject: Re: How To Export NFS?
From: bertrand marquis <[email-masked]>
To: Jack Polimer <[email-masked]>
Cc: cygwin Mailing List <[email-masked]>
Date: Fri, 14 May 2004 09:22:31 +0200

Hello

   i think that's not the good way to run portmap nfsd and mountd directly
you should install them as windows services. there is a script with 
cygwin called nfs-server-config which will configure that for you: 
install the services and generate default config files, you will then be 
able to add what you want to /etc/exports and then restart the services 
with thoses commands:

to stop the services:
   cygrunsrv -E portmap
   cygrunsrv -E mountd
   cygrunsrv -E nfsd

to start the services:
   cygrunsrv -S portmap
   cygrunsrv -S mountd
   cygrunsrv -S nfsd

then i think it would have more chance to work

Jack Polimer a écrit:

>Begin Disclaimer:  The following searches produced
>nothing useful...
>
>Searched http://cygwin.com/faq.html for "nfs"
>Searched http://cygwin.com/ for "nfs"
>Googled web and groups for "cygwin" "nfs"
>
>End Disclaimer
>
>I'm trying to export an NFS filesystem under cygwin to
>a Linux machine on the same network, but I get"
># mount -t nfs 10.0.0.1:/etc /mnt
>mount: RPC: Timed out
>"
>
>There are no firewalls on either box.
>
>My /etc/exports contains:
>$ cat /etc/exports
>/etc 10.0.0.0/255.255.255.0(ro)
>
>I ran the following on the cygwin machine:
>$ /usr/sbin/portmap.exe &
>$ /usr/sbin/rpc.mountd.exe &
>$ /usr/sbin/rpc.nfsd.exe
>
>I can't find any reference to make this work.  If
>anyone can forward something helpful, I would greatly
>appreciate it.  If this is a FAQ, please point me in
>the right directions because I can't find it...
>
>As always, please send negative comments to /dev/null
>:) .  Thanks!
>
>
>	
>		
>__________________________________
>Do you Yahoo!?
>Yahoo! Movies - Buy advance tickets for 'Shrek 2'
>http://movies.yahoo.com/showtimes/movie?mid=1808405861 
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/